--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: set string will raise ArgumentErrors on failed parse/validate
full_name: Irc::Bot::Config::Value#set_string
is_singleton: false
name: set_string
params: (string, on_change = true)
visibility: public
